#!/usr/bin/env python3

import requests
import urllib3
import datetime
urllib3.disable_warnings()

HUE_IP = "10.0.0.134"  # replace with your bridge IP
HUE_APP_KEY = "03zr5DYHpzKu1l501uzdcHMClkUXsAntHJp2Y7JO" # local only
HUE_DEVICE_ID = "31f58786-3242-4e88-b9ce-23f44ba27bbe"

response = requests.get(
    f"https://{HUE_IP}/clip/v2/resource/temperature",
    headers={"hue-application-key": HUE_APP_KEY},
    verify=False,
)
response.raise_for_status()
data = response.json()

for item in data["data"]:
    if item["id"] == HUE_DEVICE_ID:
        temperature = item["temperature"]["temperature"]
        temperature_date_string = item["temperature"]["temperature_report"]["changed"]
        temperature_date = datetime.datetime.fromisoformat(temperature_date_string)
        break

print(f"{temperature}°C @{temperature_date}")